apiVersion: v1
items:
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:apps/Deployment:zammad/zammad-memcached
      deployment.kubernetes.io/revision: "2"
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:apps/Deployment:zammad/zammad-memcached"},"labels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"memcached","helm.sh/chart":"memcached-6.5.4"},"name":"zammad-memcached","namespace":"zammad"},"spec":{"replicas":1,"selector":{"matchLabels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"memcached"}},"strategy":{"rollingUpdate":{},"type":"RollingUpdate"},"template":{"metadata":{"annotations":null,"labels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"memcached","helm.sh/chart":"memcached-6.5.4"}},"spec":{"affinity":{"nodeAffinity":null,"podAffinity":null,"podAntiAffinity":{"preferredDuringSchedulingIgnoredDuringExecution":[{"podAffinityTerm":{"labelSelector":{"matchLabels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"memcached"}},"topologyKey":"kubernetes.io/hostname"},"weight":1}]}},"containers":[{"env":[{"name":"BITNAMI_DEBUG","value":"false"},{"name":"MEMCACHED_PORT_NUMBER","value":"11211"}],"image":"docker.io/bitnami/memcached:1.6.21-debian-11-r4","imagePullPolicy":"IfNotPresent","livenessProbe":{"failureThreshold":6,"initialDelaySeconds":30,"periodSeconds":10,"successThreshold":1,"tcpSocket":{"port":"memcache"},"timeoutSeconds":5},"name":"memcached","ports":[{"containerPort":11211,"name":"memcache"}],"readinessProbe":{"failureThreshold":6,"initialDelaySeconds":5,"periodSeconds":5,"successThreshold":1,"tcpSocket":{"port":"memcache"},"timeoutSeconds":3},"resources":{"limits":{},"requests":{"cpu":"250m","memory":"256Mi"}},"securityContext":{"runAsNonRoot":true,"runAsUser":1001},"volumeMounts":[{"mountPath":"/tmp","name":"tmp"}]}],"nodeSelector":{"kubernetes.io/hostname":"mbrkanov-mini-it13"},"securityContext":{"fsGroup":1001},"serviceAccountName":"default","volumes":[{"emptyDir":{},"name":"tmp"}]}}}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    generation: 5
    labels:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: memcached
      helm.sh/chart: memcached-6.5.4
    name: zammad-memcached
    namespace: zammad
    resourceVersion: "88012421"
    uid: 4c209318-bee5-47d4-988c-603d59ffaadf
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/instance: zammad
        app.kubernetes.io/name: memcached
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app.kubernetes.io/instance: zammad
          app.kubernetes.io/managed-by: Helm
          app.kubernetes.io/name: memcached
          helm.sh/chart: memcached-6.5.4
      spec:
        affinity:
          podAntiAffinity:
            preferredDuringSchedulingIgnoredDuringExecution:
            - podAffinityTerm:
                labelSelector:
                  matchLabels:
                    app.kubernetes.io/instance: zammad
                    app.kubernetes.io/name: memcached
                topologyKey: kubernetes.io/hostname
              weight: 1
        containers:
        - env:
          - name: BITNAMI_DEBUG
            value: "false"
          - name: MEMCACHED_PORT_NUMBER
            value: "11211"
          image: docker.io/bitnami/memcached:1.6.21-debian-11-r4
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 6
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            tcpSocket:
              port: memcache
            timeoutSeconds: 5
          name: memcached
          ports:
          - containerPort: 11211
            name: memcache
            protocol: TCP
          readinessProbe:
            failureThreshold: 6
            initialDelaySeconds: 5
            periodSeconds: 5
            successThreshold: 1
            tcpSocket:
              port: memcache
            timeoutSeconds: 3
          resources:
            requests:
              cpu: 250m
              memory: 256Mi
          securityContext:
            runAsNonRoot: true
            runAsUser: 1001
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /tmp
            name: tmp
        dnsPolicy: ClusterFirst
        nodeSelector:
          kubernetes.io/hostname: mbrkanov-mini-it13
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          fsGroup: 1001
        serviceAccount: default
        serviceAccountName: default
        terminationGracePeriodSeconds: 30
        volumes:
        - emptyDir: {}
          name: tmp
  status:
    availableReplicas: 1
    conditions:
    - lastTransitionTime: "2026-06-17T22:30:43Z"
      lastUpdateTime: "2026-06-17T22:30:43Z"
      message: Deployment has minimum availability.
      reason: MinimumReplicasAvailable
      status: "True"
      type: Available
    - lastTransitionTime: "2023-12-31T09:12:03Z"
      lastUpdateTime: "2026-06-17T22:30:43Z"
      message: ReplicaSet "zammad-memcached-68ff6f5577" has successfully progressed.
      reason: NewReplicaSetAvailable
      status: "True"
      type: Progressing
    observedGeneration: 5
    readyReplicas: 1
    replicas: 1
    updatedReplicas: 1
- apiVersion: apps/v1
  kind: StatefulSet
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:apps/StatefulSet:zammad/zammad-redis-master
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"StatefulSet","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:apps/StatefulSet:zammad/zammad-redis-master"},"labels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"redis","helm.sh/chart":"redis-17.11.7"},"name":"zammad-redis-master","namespace":"zammad"},"spec":{"replicas":1,"selector":{"matchLabels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"redis"}},"serviceName":"zammad-redis-headless","template":{"metadata":{"annotations":{"checksum/configmap":"8ee2aaced65441065d6a85b6aac8252391a63d1b93ffc87a4b5af01089292bfc","checksum/health":"968799a8d5027295a83a30b279de709a6d8b5e273dad5ee137e7d64b290ecb83","checksum/scripts":"2e17a300e084eb8119434d422c295001f95d7bc382ea4f47792aac596abc40f6","checksum/secret":"f9d770ad02f15ac61b788e0488d6d967f32e5e85019223edc9a0fa4e22a3dba7"},"labels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"redis","helm.sh/chart":"redis-17.11.7"}},"spec":{"affinity":{"nodeAffinity":null,"podAffinity":null,"podAntiAffinity":{"preferredDuringSchedulingIgnoredDuringExecution":[{"podAffinityTerm":{"labelSelector":{"matchLabels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"redis"}},"topologyKey":"kubernetes.io/hostname"},"weight":1}]}},"automountServiceAccountToken":true,"containers":[{"args":["-c","/opt/bitnami/scripts/start-scripts/start-master.sh"],"command":["/bin/bash"],"env":[{"name":"BITNAMI_DEBUG","value":"false"},{"name":"REDIS_REPLICATION_MODE","value":"master"},{"name":"ALLOW_EMPTY_PASSWORD","value":"no"},{"name":"REDIS_PASSWORD","valueFrom":{"secretKeyRef":{"key":"redis-password","name":"zammad-redis"}}},{"name":"REDIS_TLS_ENABLED","value":"no"},{"name":"REDIS_PORT","value":"6379"}],"image":"docker.io/bitnami/redis:7.0.11-debian-11-r20","imagePullPolicy":"IfNotPresent","livenessProbe":{"exec":{"command":["sh","-c","/health/ping_liveness_local.sh 5"]},"failureThreshold":5,"initialDelaySeconds":20,"periodSeconds":5,"successThreshold":1,"timeoutSeconds":6},"name":"redis","ports":[{"containerPort":6379,"name":"redis"}],"readinessProbe":{"exec":{"command":["sh","-c","/health/ping_readiness_local.sh 1"]},"failureThreshold":5,"initialDelaySeconds":20,"periodSeconds":5,"successThreshold":1,"timeoutSeconds":2},"resources":{"limits":{},"requests":{}},"securityContext":{"runAsUser":1001},"volumeMounts":[{"mountPath":"/opt/bitnami/scripts/start-scripts","name":"start-scripts"},{"mountPath":"/health","name":"health"},{"mountPath":"/data","name":"redis-data"},{"mountPath":"/opt/bitnami/redis/mounted-etc","name":"config"},{"mountPath":"/opt/bitnami/redis/etc/","name":"redis-tmp-conf"},{"mountPath":"/tmp","name":"tmp"}]}],"nodeSelector":{"kubernetes.io/hostname":"mbrkanov-mini-it13"},"securityContext":{"fsGroup":1001},"serviceAccountName":"zammad-redis","terminationGracePeriodSeconds":30,"volumes":[{"configMap":{"defaultMode":493,"name":"zammad-redis-scripts"},"name":"start-scripts"},{"configMap":{"defaultMode":493,"name":"zammad-redis-health"},"name":"health"},{"configMap":{"name":"zammad-redis-configuration"},"name":"config"},{"emptyDir":{},"name":"redis-tmp-conf"},{"emptyDir":{},"name":"tmp"},{"name":"redis-data","persistentVolumeClaim":{"claimName":"zammad-redis-data-longhorn"}}]}},"updateStrategy":{"type":"RollingUpdate"}}}
    creationTimestamp: "2026-06-17T22:28:35Z"
    generation: 2
    labels:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: redis
      helm.sh/chart: redis-17.11.7
    name: zammad-redis-master
    namespace: zammad
    resourceVersion: "88012422"
    uid: 0e94b898-5c6a-43a4-a6d2-7739e24e24ba
  spec:
    persistentVolumeClaimRetentionPolicy:
      whenDeleted: Retain
      whenScaled: Retain
    podManagementPolicy: OrderedReady
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/component: master
        app.kubernetes.io/instance: zammad
        app.kubernetes.io/name: redis
    serviceName: zammad-redis-headless
    template:
      metadata:
        annotations:
          checksum/configmap: 8ee2aaced65441065d6a85b6aac8252391a63d1b93ffc87a4b5af01089292bfc
          checksum/health: 968799a8d5027295a83a30b279de709a6d8b5e273dad5ee137e7d64b290ecb83
          checksum/scripts: 2e17a300e084eb8119434d422c295001f95d7bc382ea4f47792aac596abc40f6
          checksum/secret: f9d770ad02f15ac61b788e0488d6d967f32e5e85019223edc9a0fa4e22a3dba7
        creationTimestamp: null
        labels:
          app.kubernetes.io/component: master
          app.kubernetes.io/instance: zammad
          app.kubernetes.io/managed-by: Helm
          app.kubernetes.io/name: redis
          helm.sh/chart: redis-17.11.7
      spec:
        affinity:
          podAntiAffinity:
            preferredDuringSchedulingIgnoredDuringExecution:
            - podAffinityTerm:
                labelSelector:
                  matchLabels:
                    app.kubernetes.io/component: master
                    app.kubernetes.io/instance: zammad
                    app.kubernetes.io/name: redis
                topologyKey: kubernetes.io/hostname
              weight: 1
        automountServiceAccountToken: true
        containers:
        - args:
          - -c
          - /opt/bitnami/scripts/start-scripts/start-master.sh
          command:
          - /bin/bash
          env:
          - name: BITNAMI_DEBUG
            value: "false"
          - name: REDIS_REPLICATION_MODE
            value: master
          - name: ALLOW_EMPTY_PASSWORD
            value: "no"
          - name: REDIS_PASSWORD
            valueFrom:
              secretKeyRef:
                key: redis-password
                name: zammad-redis
          - name: REDIS_TLS_ENABLED
            value: "no"
          - name: REDIS_PORT
            value: "6379"
          image: docker.io/bitnami/redis:7.0.11-debian-11-r20
          imagePullPolicy: IfNotPresent
          livenessProbe:
            exec:
              command:
              - sh
              - -c
              - /health/ping_liveness_local.sh 5
            failureThreshold: 5
            initialDelaySeconds: 20
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 6
          name: redis
          ports:
          - containerPort: 6379
            name: redis
            protocol: TCP
          readinessProbe:
            exec:
              command:
              - sh
              - -c
              - /health/ping_readiness_local.sh 1
            failureThreshold: 5
            initialDelaySeconds: 20
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 2
          resources: {}
          securityContext:
            runAsUser: 1001
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /opt/bitnami/scripts/start-scripts
            name: start-scripts
          - mountPath: /health
            name: health
          - mountPath: /data
            name: redis-data
          - mountPath: /opt/bitnami/redis/mounted-etc
            name: config
          - mountPath: /opt/bitnami/redis/etc/
            name: redis-tmp-conf
          - mountPath: /tmp
            name: tmp
        dnsPolicy: ClusterFirst
        nodeSelector:
          kubernetes.io/hostname: mbrkanov-mini-it13
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          fsGroup: 1001
        serviceAccount: zammad-redis
        serviceAccountName: zammad-redis
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 493
            name: zammad-redis-scripts
          name: start-scripts
        - configMap:
            defaultMode: 493
            name: zammad-redis-health
          name: health
        - configMap:
            defaultMode: 420
            name: zammad-redis-configuration
          name: config
        - emptyDir: {}
          name: redis-tmp-conf
        - emptyDir: {}
          name: tmp
        - name: redis-data
          persistentVolumeClaim:
            claimName: zammad-redis-data-longhorn
    updateStrategy:
      type: RollingUpdate
  status:
    availableReplicas: 1
    collisionCount: 0
    currentReplicas: 1
    currentRevision: zammad-redis-master-7847669955
    observedGeneration: 2
    readyReplicas: 1
    replicas: 1
    updateRevision: zammad-redis-master-7847669955
    updatedReplicas: 1
- apiVersion: apps/v1
  kind: StatefulSet
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:apps/StatefulSet:zammad/zammad-elasticsearch-master
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"StatefulSet","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:apps/StatefulSet:zammad/zammad-elasticsearch-master"},"labels":{"app":"master","app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"elasticsearch","helm.sh/chart":"elasticsearch-19.10.3"},"name":"zammad-elasticsearch-master","namespace":"zammad"},"spec":{"podManagementPolicy":"Parallel","replicas":1,"selector":{"matchLabels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"elasticsearch"}},"serviceName":"zammad-elasticsearch-master-hl","template":{"metadata":{"annotations":null,"labels":{"app":"master","app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"elasticsearch","helm.sh/chart":"elasticsearch-19.10.3"}},"spec":{"affinity":{"nodeAffinity":null,"podAffinity":null,"podAntiAffinity":null},"containers":[{"env":[{"name":"BITNAMI_DEBUG","value":"false"},{"name":"MY_POD_NAME","valueFrom":{"fieldRef":{"apiVersion":"v1","fieldPath":"metadata.name"}}},{"name":"ELASTICSEARCH_IS_DEDICATED_NODE","value":"no"},{"name":"ELASTICSEARCH_NODE_ROLES","value":"master"},{"name":"ELASTICSEARCH_TRANSPORT_PORT_NUMBER","value":"9300"},{"name":"ELASTICSEARCH_HTTP_PORT_NUMBER","value":"9200"},{"name":"ELASTICSEARCH_CLUSTER_NAME","value":"zammad"},{"name":"ELASTICSEARCH_CLUSTER_HOSTS","value":"zammad-elasticsearch-master-hl.zammad.svc.cluster.local,"},{"name":"ELASTICSEARCH_TOTAL_NODES","value":"1"},{"name":"ELASTICSEARCH_CLUSTER_MASTER_HOSTS","value":"zammad-elasticsearch-master-0"},{"name":"ELASTICSEARCH_MINIMUM_MASTER_NODES","value":"1"},{"name":"ELASTICSEARCH_ADVERTISED_HOSTNAME","value":"$(MY_POD_NAME).zammad-elasticsearch-master-hl.zammad.svc.cluster.local"},{"name":"ELASTICSEARCH_HEAP_SIZE","value":"512m"}],"image":"docker.io/bitnami/elasticsearch:8.8.2-debian-11-r0","imagePullPolicy":"IfNotPresent","livenessProbe":{"exec":{"command":["/opt/bitnami/scripts/elasticsearch/healthcheck.sh"]},"failureThreshold":5,"initialDelaySeconds":90,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":5},"name":"elasticsearch","ports":[{"containerPort":9200,"name":"rest-api"},{"containerPort":9300,"name":"transport"}],"readinessProbe":{"exec":{"command":["/opt/bitnami/scripts/elasticsearch/healthcheck.sh"]},"failureThreshold":5,"initialDelaySeconds":90,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":5},"resources":{"limits":{},"requests":{}},"securityContext":{"runAsNonRoot":true,"runAsUser":1001},"volumeMounts":[{"mountPath":"/bitnami/elasticsearch/data","name":"data"}]}],"initContainers":[{"command":["/bin/bash","-ec","CURRENT=`sysctl -n vm.max_map_count`;\nDESIRED=\"262144\";\nif [ \"$DESIRED\" -gt \"$CURRENT\" ]; then\n    sysctl -w vm.max_map_count=262144;\nfi;\nCURRENT=`sysctl -n fs.file-max`;\nDESIRED=\"65536\";\nif [ \"$DESIRED\" -gt \"$CURRENT\" ]; then\n    sysctl -w fs.file-max=65536;\nfi;\n"],"image":"docker.io/bitnami/bitnami-shell:11-debian-11-r131","imagePullPolicy":"IfNotPresent","name":"sysctl","resources":{"limits":{},"requests":{}},"securityContext":{"privileged":true,"runAsUser":0}}],"nodeSelector":{"kubernetes.io/hostname":"mbrkanov-mini-it13"},"securityContext":{"fsGroup":1001},"serviceAccountName":"default","volumes":[{"name":"data","persistentVolumeClaim":{"claimName":"zammad-elasticsearch-data-longhorn"}}]}},"updateStrategy":{"type":"RollingUpdate"}}}
    creationTimestamp: "2026-06-17T22:28:35Z"
    generation: 2
    labels:
      app: master
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: elasticsearch
      helm.sh/chart: elasticsearch-19.10.3
    name: zammad-elasticsearch-master
    namespace: zammad
    resourceVersion: "88012424"
    uid: 10d877d9-2633-49e4-a8a2-674b24f3c9a0
  spec:
    persistentVolumeClaimRetentionPolicy:
      whenDeleted: Retain
      whenScaled: Retain
    podManagementPolicy: Parallel
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/component: master
        app.kubernetes.io/instance: zammad
        app.kubernetes.io/name: elasticsearch
    serviceName: zammad-elasticsearch-master-hl
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: master
          app.kubernetes.io/component: master
          app.kubernetes.io/instance: zammad
          app.kubernetes.io/managed-by: Helm
          app.kubernetes.io/name: elasticsearch
          helm.sh/chart: elasticsearch-19.10.3
      spec:
        affinity: {}
        containers:
        - env:
          - name: BITNAMI_DEBUG
            value: "false"
          - name: MY_POD_NAME
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.name
          - name: ELASTICSEARCH_IS_DEDICATED_NODE
            value: "no"
          - name: ELASTICSEARCH_NODE_ROLES
            value: master
          - name: ELASTICSEARCH_TRANSPORT_PORT_NUMBER
            value: "9300"
          - name: ELASTICSEARCH_HTTP_PORT_NUMBER
            value: "9200"
          - name: ELASTICSEARCH_CLUSTER_NAME
            value: zammad
          - name: ELASTICSEARCH_CLUSTER_HOSTS
            value: zammad-elasticsearch-master-hl.zammad.svc.cluster.local,
          - name: ELASTICSEARCH_TOTAL_NODES
            value: "1"
          - name: ELASTICSEARCH_CLUSTER_MASTER_HOSTS
            value: zammad-elasticsearch-master-0
          - name: ELASTICSEARCH_MINIMUM_MASTER_NODES
            value: "1"
          - name: ELASTICSEARCH_ADVERTISED_HOSTNAME
            value: $(MY_POD_NAME).zammad-elasticsearch-master-hl.zammad.svc.cluster.local
          - name: ELASTICSEARCH_HEAP_SIZE
            value: 512m
          image: docker.io/bitnami/elasticsearch:8.8.2-debian-11-r0
          imagePullPolicy: IfNotPresent
          livenessProbe:
            exec:
              command:
              - /opt/bitnami/scripts/elasticsearch/healthcheck.sh
            failureThreshold: 5
            initialDelaySeconds: 90
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 5
          name: elasticsearch
          ports:
          - containerPort: 9200
            name: rest-api
            protocol: TCP
          - containerPort: 9300
            name: transport
            protocol: TCP
          readinessProbe:
            exec:
              command:
              - /opt/bitnami/scripts/elasticsearch/healthcheck.sh
            failureThreshold: 5
            initialDelaySeconds: 90
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 5
          resources: {}
          securityContext:
            runAsNonRoot: true
            runAsUser: 1001
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /bitnami/elasticsearch/data
            name: data
        dnsPolicy: ClusterFirst
        initContainers:
        - command:
          - /bin/bash
          - -ec
          - |
            CURRENT=`sysctl -n vm.max_map_count`;
            DESIRED="262144";
            if [ "$DESIRED" -gt "$CURRENT" ]; then
                sysctl -w vm.max_map_count=262144;
            fi;
            CURRENT=`sysctl -n fs.file-max`;
            DESIRED="65536";
            if [ "$DESIRED" -gt "$CURRENT" ]; then
                sysctl -w fs.file-max=65536;
            fi;
          image: docker.io/bitnami/bitnami-shell:11-debian-11-r131
          imagePullPolicy: IfNotPresent
          name: sysctl
          resources: {}
          securityContext:
            privileged: true
            runAsUser: 0
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
        nodeSelector:
          kubernetes.io/hostname: mbrkanov-mini-it13
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          fsGroup: 1001
        serviceAccount: default
        serviceAccountName: default
        terminationGracePeriodSeconds: 30
        volumes:
        - name: data
          persistentVolumeClaim:
            claimName: zammad-elasticsearch-data-longhorn
    updateStrategy:
      type: RollingUpdate
  status:
    availableReplicas: 1
    collisionCount: 0
    currentReplicas: 1
    currentRevision: zammad-elasticsearch-master-649fddcc49
    observedGeneration: 2
    readyReplicas: 1
    replicas: 1
    updateRevision: zammad-elasticsearch-master-649fddcc49
    updatedReplicas: 1
- apiVersion: apps/v1
  kind: StatefulSet
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:apps/StatefulSet:zammad/zammad
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"StatefulSet","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:apps/StatefulSet:zammad/zammad"},"labels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"zammad","app.kubernetes.io/version":"6.2.0-1","helm.sh/chart":"zammad-10.2.1"},"name":"zammad","namespace":"zammad"},"spec":{"replicas":1,"selector":{"matchLabels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"zammad"}},"serviceName":"zammad","template":{"metadata":{"labels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"zammad","app.kubernetes.io/version":"6.2.0-1","helm.sh/chart":"zammad-10.2.1"}},"spec":{"containers":[{"command":["/usr/sbin/nginx","-g","daemon off;"],"env":null,"image":"ghcr.io/zammad/zammad:6.2.0-1","imagePullPolicy":"IfNotPresent","livenessProbe":{"failureThreshold":5,"initialDelaySeconds":30,"periodSeconds":10,"successThreshold":1,"tcpSocket":{"port":8080},"timeoutSeconds":5},"name":"zammad-nginx","ports":[{"containerPort":8080,"name":"http"}],"readinessProbe":{"failureThreshold":5,"httpGet":{"path":"/","port":8080},"initialDelaySeconds":30,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":5},"securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]},"privileged":false,"readOnlyRootFilesystem":true},"volumeMounts":[{"mountPath":"/etc/nginx/nginx.conf","name":"zammad-nginx","readOnly":true,"subPath":"nginx.conf"},{"mountPath":"/etc/nginx/sites-enabled/default","name":"zammad-nginx","readOnly":true,"subPath":"default"},{"mountPath":"/tmp","name":"zammad-tmp"},{"mountPath":"/var/log/nginx","name":"zammad-tmp"},{"mountPath":"/opt/zammad/storage","name":"zammad-var"},{"mountPath":"/opt/zammad/var","name":"zammad-var"}]},{"command":["bundle","exec","puma","-b","tcp://[::]:3000","-w","0","-e","production"],"env":[{"name":"TMP","value":"/opt/zammad/tmp"},{"name":"REDIS_PASSWORD","valueFrom":{"secretKeyRef":{"key":"redis-password","name":"zammad-redis-pass"}}},{"name":"MEMCACHE_SERVERS","value":"zammad-memcached:11211"},{"name":"RAILS_TRUSTED_PROXIES","value":"['127.0.0.1', '::1']"},{"name":"REDIS_URL","value":"redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379"},{"name":"POSTGRESQL_PASS","valueFrom":{"secretKeyRef":{"key":"postgresql-pass","name":"zammad-postgresql-pass"}}},{"name":"DATABASE_URL","value":"postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production"}],"image":"ghcr.io/zammad/zammad:6.2.0-1","imagePullPolicy":"IfNotPresent","livenessProbe":{"failureThreshold":5,"initialDelaySeconds":30,"periodSeconds":10,"successThreshold":1,"tcpSocket":{"port":3000},"timeoutSeconds":5},"name":"zammad-railsserver","ports":[{"containerPort":3000,"name":"railsserver"}],"readinessProbe":{"failureThreshold":5,"httpGet":{"path":"/","port":3000},"initialDelaySeconds":30,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":5},"securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]},"privileged":false,"readOnlyRootFilesystem":true},"volumeMounts":[{"mountPath":"/opt/zammad/tmp","name":"zammad-tmp"},{"mountPath":"/opt/zammad/storage","name":"zammad-var"},{"mountPath":"/opt/zammad/var","name":"zammad-var"}]},{"command":["bundle","exec","script/background-worker.rb","start"],"env":[{"name":"REDIS_PASSWORD","valueFrom":{"secretKeyRef":{"key":"redis-password","name":"zammad-redis-pass"}}},{"name":"MEMCACHE_SERVERS","value":"zammad-memcached:11211"},{"name":"REDIS_URL","value":"redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379"},{"name":"POSTGRESQL_PASS","valueFrom":{"secretKeyRef":{"key":"postgresql-pass","name":"zammad-postgresql-pass"}}},{"name":"DATABASE_URL","value":"postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production"}],"image":"ghcr.io/zammad/zammad:6.2.0-1","imagePullPolicy":"IfNotPresent","name":"zammad-scheduler","securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]},"privileged":false,"readOnlyRootFilesystem":true},"volumeMounts":[{"mountPath":"/opt/zammad/tmp","name":"zammad-tmp"},{"mountPath":"/opt/zammad/storage","name":"zammad-var"},{"mountPath":"/opt/zammad/var","name":"zammad-var"}]},{"command":["bundle","exec","script/websocket-server.rb","-b","0.0.0.0","-p","6042","start"],"env":[{"name":"REDIS_PASSWORD","valueFrom":{"secretKeyRef":{"key":"redis-password","name":"zammad-redis-pass"}}},{"name":"MEMCACHE_SERVERS","value":"zammad-memcached:11211"},{"name":"REDIS_URL","value":"redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379"},{"name":"POSTGRESQL_PASS","valueFrom":{"secretKeyRef":{"key":"postgresql-pass","name":"zammad-postgresql-pass"}}},{"name":"DATABASE_URL","value":"postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production"}],"image":"ghcr.io/zammad/zammad:6.2.0-1","imagePullPolicy":"IfNotPresent","livenessProbe":{"failureThreshold":10,"initialDelaySeconds":10,"periodSeconds":10,"successThreshold":1,"tcpSocket":{"port":6042},"timeoutSeconds":5},"name":"zammad-websocket","ports":[{"containerPort":6042,"name":"websocket"}],"readinessProbe":{"failureThreshold":5,"initialDelaySeconds":10,"periodSeconds":10,"successThreshold":1,"tcpSocket":{"port":6042},"timeoutSeconds":5},"securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]},"privileged":false,"readOnlyRootFilesystem":true},"volumeMounts":[{"mountPath":"/opt/zammad/tmp","name":"zammad-tmp"},{"mountPath":"/opt/zammad/storage","name":"zammad-var"},{"mountPath":"/opt/zammad/var","name":"zammad-var"}]}],"initContainers":[{"command":["/bin/sh","-cx","chown 1000:1000 -R /opt/zammad/var\nchmod 770 /opt/zammad/tmp\n"],"image":"alpine:3.18.4","imagePullPolicy":"IfNotPresent","name":"zammad-volume-permissions","securityContext":{"capabilities":{"drop":["ALL"]},"privileged":true,"readOnlyRootFilesystem":true,"runAsNonRoot":false,"runAsUser":0},"volumeMounts":[{"mountPath":"/opt/zammad/tmp","name":"zammad-tmp"},{"mountPath":"/opt/zammad/var","name":"zammad-var"}]},{"env":[{"name":"REDIS_PASSWORD","valueFrom":{"secretKeyRef":{"key":"redis-password","name":"zammad-redis-pass"}}},{"name":"MEMCACHE_SERVERS","value":"zammad-memcached:11211"},{"name":"REDIS_URL","value":"redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379"},{"name":"POSTGRESQL_PASS","valueFrom":{"secretKeyRef":{"key":"postgresql-pass","name":"zammad-postgresql-pass"}}},{"name":"DATABASE_URL","value":"postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production"}],"image":"ghcr.io/zammad/zammad:6.2.0-1","imagePullPolicy":"IfNotPresent","name":"postgresql-init","securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]},"privileged":false,"readOnlyRootFilesystem":true},"volumeMounts":[{"mountPath":"/docker-entrypoint.sh","name":"zammad-init","readOnly":true,"subPath":"postgresql-init"},{"mountPath":"/opt/zammad/tmp","name":"zammad-tmp"},{"mountPath":"/opt/zammad/storage","name":"zammad-var"},{"mountPath":"/opt/zammad/var","name":"zammad-var"}]},{"env":[{"name":"REDIS_PASSWORD","valueFrom":{"secretKeyRef":{"key":"redis-password","name":"zammad-redis-pass"}}},{"name":"MEMCACHE_SERVERS","value":"zammad-memcached:11211"},{"name":"REDIS_URL","value":"redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379"},{"name":"POSTGRESQL_PASS","valueFrom":{"secretKeyRef":{"key":"postgresql-pass","name":"zammad-postgresql-pass"}}},{"name":"DATABASE_URL","value":"postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production"}],"image":"ghcr.io/zammad/zammad:6.2.0-1","imagePullPolicy":"IfNotPresent","name":"zammad-init","securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]},"privileged":false,"readOnlyRootFilesystem":true},"volumeMounts":[{"mountPath":"/docker-entrypoint.sh","name":"zammad-init","readOnly":true,"subPath":"zammad-init"},{"mountPath":"/opt/zammad/tmp","name":"zammad-tmp"},{"mountPath":"/opt/zammad/storage","name":"zammad-var"},{"mountPath":"/opt/zammad/var","name":"zammad-var"}]},{"env":[{"name":"REDIS_PASSWORD","valueFrom":{"secretKeyRef":{"key":"redis-password","name":"zammad-redis-pass"}}},{"name":"MEMCACHE_SERVERS","value":"zammad-memcached:11211"},{"name":"REDIS_URL","value":"redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379"},{"name":"POSTGRESQL_PASS","valueFrom":{"secretKeyRef":{"key":"postgresql-pass","name":"zammad-postgresql-pass"}}},{"name":"DATABASE_URL","value":"postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production"}],"image":"ghcr.io/zammad/zammad:6.2.0-1","imagePullPolicy":"IfNotPresent","name":"elasticsearch-init","securityContext":{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]},"privileged":false,"readOnlyRootFilesystem":true},"volumeMounts":[{"mountPath":"/docker-entrypoint.sh","name":"zammad-init","readOnly":true,"subPath":"elasticsearch-init"},{"mountPath":"/opt/zammad/tmp","name":"zammad-tmp"},{"mountPath":"/opt/zammad/storage","name":"zammad-var"},{"mountPath":"/opt/zammad/var","name":"zammad-var"}]}],"nodeSelector":{"kubernetes.io/hostname":"mbrkanov-mini-it13"},"securityContext":{"fsGroup":1000,"fsGroupChangePolicy":"Always","runAsGroup":1000,"runAsNonRoot":true,"runAsUser":1000,"seccompProfile":{"type":"RuntimeDefault"}},"volumes":[{"configMap":{"defaultMode":493,"name":"zammad-init"},"name":"zammad-init"},{"configMap":{"name":"zammad-nginx"},"name":"zammad-nginx"},{"emptyDir":{"sizeLimit":"100Mi"},"name":"zammad-tmp"},{"name":"zammad-var","persistentVolumeClaim":{"claimName":"zammad-var-longhorn"}}]}}}}
    creationTimestamp: "2026-06-17T22:30:07Z"
    generation: 2
    labels:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: zammad
      app.kubernetes.io/version: 6.2.0-1
      helm.sh/chart: zammad-10.2.1
    name: zammad
    namespace: zammad
    resourceVersion: "88012425"
    uid: e1350232-55c5-402f-ae67-7f67fda4f0ae
  spec:
    persistentVolumeClaimRetentionPolicy:
      whenDeleted: Retain
      whenScaled: Retain
    podManagementPolicy: OrderedReady
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/instance: zammad
        app.kubernetes.io/name: zammad
    serviceName: zammad
    template:
      metadata:
        creationTimestamp: null
        labels:
          app.kubernetes.io/instance: zammad
          app.kubernetes.io/managed-by: Helm
          app.kubernetes.io/name: zammad
          app.kubernetes.io/version: 6.2.0-1
          helm.sh/chart: zammad-10.2.1
      spec:
        containers:
        - command:
          - /usr/sbin/nginx
          - -g
          - daemon off;
          image: ghcr.io/zammad/zammad:6.2.0-1
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 5
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            tcpSocket:
              port: 8080
            timeoutSeconds: 5
          name: zammad-nginx
          ports:
          - containerPort: 8080
            name: http
            protocol: TCP
          readinessProbe:
            failureThreshold: 5
            httpGet:
              path: /
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 5
          resources: {}
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            privileged: false
            readOnlyRootFilesystem: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /etc/nginx/nginx.conf
            name: zammad-nginx
            readOnly: true
            subPath: nginx.conf
          - mountPath: /etc/nginx/sites-enabled/default
            name: zammad-nginx
            readOnly: true
            subPath: default
          - mountPath: /tmp
            name: zammad-tmp
          - mountPath: /var/log/nginx
            name: zammad-tmp
          - mountPath: /opt/zammad/storage
            name: zammad-var
          - mountPath: /opt/zammad/var
            name: zammad-var
        - command:
          - bundle
          - exec
          - puma
          - -b
          - tcp://[::]:3000
          - -w
          - "0"
          - -e
          - production
          env:
          - name: TMP
            value: /opt/zammad/tmp
          - name: REDIS_PASSWORD
            valueFrom:
              secretKeyRef:
                key: redis-password
                name: zammad-redis-pass
          - name: MEMCACHE_SERVERS
            value: zammad-memcached:11211
          - name: RAILS_TRUSTED_PROXIES
            value: '[''127.0.0.1'', ''::1'']'
          - name: REDIS_URL
            value: redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379
          - name: POSTGRESQL_PASS
            valueFrom:
              secretKeyRef:
                key: postgresql-pass
                name: zammad-postgresql-pass
          - name: DATABASE_URL
            value: postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production
          image: ghcr.io/zammad/zammad:6.2.0-1
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 5
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            tcpSocket:
              port: 3000
            timeoutSeconds: 5
          name: zammad-railsserver
          ports:
          - containerPort: 3000
            name: railsserver
            protocol: TCP
          readinessProbe:
            failureThreshold: 5
            httpGet:
              path: /
              port: 3000
              scheme: HTTP
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 5
          resources: {}
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            privileged: false
            readOnlyRootFilesystem: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /opt/zammad/tmp
            name: zammad-tmp
          - mountPath: /opt/zammad/storage
            name: zammad-var
          - mountPath: /opt/zammad/var
            name: zammad-var
        - command:
          - bundle
          - exec
          - script/background-worker.rb
          - start
          env:
          - name: REDIS_PASSWORD
            valueFrom:
              secretKeyRef:
                key: redis-password
                name: zammad-redis-pass
          - name: MEMCACHE_SERVERS
            value: zammad-memcached:11211
          - name: REDIS_URL
            value: redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379
          - name: POSTGRESQL_PASS
            valueFrom:
              secretKeyRef:
                key: postgresql-pass
                name: zammad-postgresql-pass
          - name: DATABASE_URL
            value: postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production
          image: ghcr.io/zammad/zammad:6.2.0-1
          imagePullPolicy: IfNotPresent
          name: zammad-scheduler
          resources: {}
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            privileged: false
            readOnlyRootFilesystem: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /opt/zammad/tmp
            name: zammad-tmp
          - mountPath: /opt/zammad/storage
            name: zammad-var
          - mountPath: /opt/zammad/var
            name: zammad-var
        - command:
          - bundle
          - exec
          - script/websocket-server.rb
          - -b
          - 0.0.0.0
          - -p
          - "6042"
          - start
          env:
          - name: REDIS_PASSWORD
            valueFrom:
              secretKeyRef:
                key: redis-password
                name: zammad-redis-pass
          - name: MEMCACHE_SERVERS
            value: zammad-memcached:11211
          - name: REDIS_URL
            value: redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379
          - name: POSTGRESQL_PASS
            valueFrom:
              secretKeyRef:
                key: postgresql-pass
                name: zammad-postgresql-pass
          - name: DATABASE_URL
            value: postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production
          image: ghcr.io/zammad/zammad:6.2.0-1
          imagePullPolicy: IfNotPresent
          livenessProbe:
            failureThreshold: 10
            initialDelaySeconds: 10
            periodSeconds: 10
            successThreshold: 1
            tcpSocket:
              port: 6042
            timeoutSeconds: 5
          name: zammad-websocket
          ports:
          - containerPort: 6042
            name: websocket
            protocol: TCP
          readinessProbe:
            failureThreshold: 5
            initialDelaySeconds: 10
            periodSeconds: 10
            successThreshold: 1
            tcpSocket:
              port: 6042
            timeoutSeconds: 5
          resources: {}
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            privileged: false
            readOnlyRootFilesystem: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /opt/zammad/tmp
            name: zammad-tmp
          - mountPath: /opt/zammad/storage
            name: zammad-var
          - mountPath: /opt/zammad/var
            name: zammad-var
        dnsPolicy: ClusterFirst
        initContainers:
        - command:
          - /bin/sh
          - -cx
          - |
            chown 1000:1000 -R /opt/zammad/var
            chmod 770 /opt/zammad/tmp
          image: alpine:3.18.4
          imagePullPolicy: IfNotPresent
          name: zammad-volume-permissions
          resources: {}
          securityContext:
            capabilities:
              drop:
              - ALL
            privileged: true
            readOnlyRootFilesystem: true
            runAsNonRoot: false
            runAsUser: 0
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /opt/zammad/tmp
            name: zammad-tmp
          - mountPath: /opt/zammad/var
            name: zammad-var
        - env:
          - name: REDIS_PASSWORD
            valueFrom:
              secretKeyRef:
                key: redis-password
                name: zammad-redis-pass
          - name: MEMCACHE_SERVERS
            value: zammad-memcached:11211
          - name: REDIS_URL
            value: redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379
          - name: POSTGRESQL_PASS
            valueFrom:
              secretKeyRef:
                key: postgresql-pass
                name: zammad-postgresql-pass
          - name: DATABASE_URL
            value: postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production
          image: ghcr.io/zammad/zammad:6.2.0-1
          imagePullPolicy: IfNotPresent
          name: postgresql-init
          resources: {}
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            privileged: false
            readOnlyRootFilesystem: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /docker-entrypoint.sh
            name: zammad-init
            readOnly: true
            subPath: postgresql-init
          - mountPath: /opt/zammad/tmp
            name: zammad-tmp
          - mountPath: /opt/zammad/storage
            name: zammad-var
          - mountPath: /opt/zammad/var
            name: zammad-var
        - env:
          - name: REDIS_PASSWORD
            valueFrom:
              secretKeyRef:
                key: redis-password
                name: zammad-redis-pass
          - name: MEMCACHE_SERVERS
            value: zammad-memcached:11211
          - name: REDIS_URL
            value: redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379
          - name: POSTGRESQL_PASS
            valueFrom:
              secretKeyRef:
                key: postgresql-pass
                name: zammad-postgresql-pass
          - name: DATABASE_URL
            value: postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production
          image: ghcr.io/zammad/zammad:6.2.0-1
          imagePullPolicy: IfNotPresent
          name: zammad-init
          resources: {}
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            privileged: false
            readOnlyRootFilesystem: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /docker-entrypoint.sh
            name: zammad-init
            readOnly: true
            subPath: zammad-init
          - mountPath: /opt/zammad/tmp
            name: zammad-tmp
          - mountPath: /opt/zammad/storage
            name: zammad-var
          - mountPath: /opt/zammad/var
            name: zammad-var
        - env:
          - name: REDIS_PASSWORD
            valueFrom:
              secretKeyRef:
                key: redis-password
                name: zammad-redis-pass
          - name: MEMCACHE_SERVERS
            value: zammad-memcached:11211
          - name: REDIS_URL
            value: redis://:$(REDIS_PASSWORD)@zammad-redis-master:6379
          - name: POSTGRESQL_PASS
            valueFrom:
              secretKeyRef:
                key: postgresql-pass
                name: zammad-postgresql-pass
          - name: DATABASE_URL
            value: postgres://zammad:$(POSTGRESQL_PASS)@zammad-postgresql:5432/zammad_production
          image: ghcr.io/zammad/zammad:6.2.0-1
          imagePullPolicy: IfNotPresent
          name: elasticsearch-init
          resources: {}
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
            privileged: false
            readOnlyRootFilesystem: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /docker-entrypoint.sh
            name: zammad-init
            readOnly: true
            subPath: elasticsearch-init
          - mountPath: /opt/zammad/tmp
            name: zammad-tmp
          - mountPath: /opt/zammad/storage
            name: zammad-var
          - mountPath: /opt/zammad/var
            name: zammad-var
        nodeSelector:
          kubernetes.io/hostname: mbrkanov-mini-it13
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          fsGroup: 1000
          fsGroupChangePolicy: Always
          runAsGroup: 1000
          runAsNonRoot: true
          runAsUser: 1000
          seccompProfile:
            type: RuntimeDefault
        terminationGracePeriodSeconds: 30
        volumes:
        - configMap:
            defaultMode: 493
            name: zammad-init
          name: zammad-init
        - configMap:
            defaultMode: 420
            name: zammad-nginx
          name: zammad-nginx
        - emptyDir:
            sizeLimit: 100Mi
          name: zammad-tmp
        - name: zammad-var
          persistentVolumeClaim:
            claimName: zammad-var-longhorn
    updateStrategy:
      rollingUpdate:
        partition: 0
      type: RollingUpdate
  status:
    availableReplicas: 1
    collisionCount: 0
    currentReplicas: 1
    currentRevision: zammad-576fb578f6
    observedGeneration: 2
    readyReplicas: 1
    replicas: 1
    updateRevision: zammad-576fb578f6
    updatedReplicas: 1
- apiVersion: apps/v1
  kind: StatefulSet
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:apps/StatefulSet:zammad/zammad-postgresql
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"StatefulSet","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:apps/StatefulSet:zammad/zammad-postgresql"},"labels":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"postgresql","helm.sh/chart":"postgresql-12.6.4"},"name":"zammad-postgresql","namespace":"zammad"},"spec":{"replicas":1,"selector":{"matchLabels":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"postgresql"}},"serviceName":"zammad-postgresql-hl","template":{"metadata":{"labels":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"postgresql","helm.sh/chart":"postgresql-12.6.4"},"name":"zammad-postgresql"},"spec":{"affinity":{"nodeAffinity":null,"podAffinity":null,"podAntiAffinity":{"preferredDuringSchedulingIgnoredDuringExecution":[{"podAffinityTerm":{"labelSelector":{"matchLabels":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"postgresql"}},"topologyKey":"kubernetes.io/hostname"},"weight":1}]}},"containers":[{"env":[{"name":"BITNAMI_DEBUG","value":"false"},{"name":"POSTGRESQL_PORT_NUMBER","value":"5432"},{"name":"POSTGRESQL_VOLUME_DIR","value":"/bitnami/postgresql"},{"name":"PGDATA","value":"/bitnami/postgresql/data"},{"name":"POSTGRES_USER","value":"zammad"},{"name":"POSTGRES_PASSWORD","valueFrom":{"secretKeyRef":{"key":"password","name":"zammad-postgresql"}}},{"name":"POSTGRES_POSTGRES_PASSWORD","value":"zammad"},{"name":"POSTGRES_DATABASE","value":"zammad_production"},{"name":"POSTGRESQL_ENABLE_LDAP","value":"no"},{"name":"POSTGRESQL_ENABLE_TLS","value":"no"},{"name":"POSTGRESQL_LOG_HOSTNAME","value":"false"},{"name":"POSTGRESQL_LOG_CONNECTIONS","value":"false"},{"name":"POSTGRESQL_LOG_DISCONNECTIONS","value":"false"},{"name":"POSTGRESQL_PGAUDIT_LOG_CATALOG","value":"off"},{"name":"POSTGRESQL_CLIENT_MIN_MESSAGES","value":"error"},{"name":"POSTGRESQL_SHARED_PRELOAD_LIBRARIES","value":"pgaudit"}],"image":"docker.io/bitnami/postgresql:15.3.0-debian-11-r17","imagePullPolicy":"IfNotPresent","livenessProbe":{"exec":{"command":["/bin/sh","-c","exec pg_isready -U \"zammad\" -d \"dbname=zammad_production\" -h 127.0.0.1 -p 5432"]},"failureThreshold":6,"initialDelaySeconds":30,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":5},"name":"postgresql","ports":[{"containerPort":5432,"name":"tcp-postgresql"}],"readinessProbe":{"exec":{"command":["/bin/sh","-c","-e","exec pg_isready -U \"zammad\" -d \"dbname=zammad_production\" -h 127.0.0.1 -p 5432\n[ -f /opt/bitnami/postgresql/tmp/.initialized ] || [ -f /bitnami/postgresql/.initialized ]\n"]},"failureThreshold":6,"initialDelaySeconds":5,"periodSeconds":10,"successThreshold":1,"timeoutSeconds":5},"resources":{"limits":{},"requests":{"cpu":"250m","memory":"256Mi"}},"securityContext":{"runAsUser":1001},"volumeMounts":[{"mountPath":"/dev/shm","name":"dshm"},{"mountPath":"/bitnami/postgresql","name":"data"}]}],"hostIPC":false,"hostNetwork":false,"nodeSelector":{"kubernetes.io/hostname":"mbrkanov-mini-it13"},"securityContext":{"fsGroup":1001},"serviceAccountName":"default","volumes":[{"emptyDir":{"medium":"Memory"},"name":"dshm"},{"name":"data","persistentVolumeClaim":{"claimName":"zammad-postgresql-data-longhorn"}}]}},"updateStrategy":{"rollingUpdate":{},"type":"RollingUpdate"}}}
    creationTimestamp: "2026-06-17T22:28:35Z"
    generation: 6
    labels:
      app.kubernetes.io/component: primary
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: postgresql
      helm.sh/chart: postgresql-12.6.4
    name: zammad-postgresql
    namespace: zammad
    resourceVersion: "88012426"
    uid: 3400a1ed-8c56-433b-974b-04cec21fca7d
  spec:
    persistentVolumeClaimRetentionPolicy:
      whenDeleted: Retain
      whenScaled: Retain
    podManagementPolicy: OrderedReady
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app.kubernetes.io/component: primary
        app.kubernetes.io/instance: zammad
        app.kubernetes.io/name: postgresql
    serviceName: zammad-postgresql-hl
    template:
      metadata:
        creationTimestamp: null
        labels:
          app.kubernetes.io/component: primary
          app.kubernetes.io/instance: zammad
          app.kubernetes.io/managed-by: Helm
          app.kubernetes.io/name: postgresql
          helm.sh/chart: postgresql-12.6.4
        name: zammad-postgresql
      spec:
        affinity:
          podAntiAffinity:
            preferredDuringSchedulingIgnoredDuringExecution:
            - podAffinityTerm:
                labelSelector:
                  matchLabels:
                    app.kubernetes.io/component: primary
                    app.kubernetes.io/instance: zammad
                    app.kubernetes.io/name: postgresql
                topologyKey: kubernetes.io/hostname
              weight: 1
        containers:
        - env:
          - name: BITNAMI_DEBUG
            value: "false"
          - name: POSTGRESQL_PORT_NUMBER
            value: "5432"
          - name: POSTGRESQL_VOLUME_DIR
            value: /bitnami/postgresql
          - name: PGDATA
            value: /bitnami/postgresql/data
          - name: POSTGRES_USER
            value: zammad
          - name: POSTGRES_PASSWORD
            valueFrom:
              secretKeyRef:
                key: password
                name: zammad-postgresql
          - name: POSTGRES_POSTGRES_PASSWORD
            value: zammad
          - name: POSTGRES_DATABASE
            value: zammad_production
          - name: POSTGRESQL_ENABLE_LDAP
            value: "no"
          - name: POSTGRESQL_ENABLE_TLS
            value: "no"
          - name: POSTGRESQL_LOG_HOSTNAME
            value: "false"
          - name: POSTGRESQL_LOG_CONNECTIONS
            value: "false"
          - name: POSTGRESQL_LOG_DISCONNECTIONS
            value: "false"
          - name: POSTGRESQL_PGAUDIT_LOG_CATALOG
            value: "off"
          - name: POSTGRESQL_CLIENT_MIN_MESSAGES
            value: error
          - name: POSTGRESQL_SHARED_PRELOAD_LIBRARIES
            value: pgaudit
          image: docker.io/bitnami/postgresql:15.3.0-debian-11-r17
          imagePullPolicy: IfNotPresent
          livenessProbe:
            exec:
              command:
              - /bin/sh
              - -c
              - exec pg_isready -U "zammad" -d "dbname=zammad_production" -h 127.0.0.1
                -p 5432
            failureThreshold: 6
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 5
          name: postgresql
          ports:
          - containerPort: 5432
            name: tcp-postgresql
            protocol: TCP
          readinessProbe:
            exec:
              command:
              - /bin/sh
              - -c
              - -e
              - |
                exec pg_isready -U "zammad" -d "dbname=zammad_production" -h 127.0.0.1 -p 5432
                [ -f /opt/bitnami/postgresql/tmp/.initialized ] || [ -f /bitnami/postgresql/.initialized ]
            failureThreshold: 6
            initialDelaySeconds: 5
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 5
          resources:
            requests:
              cpu: 250m
              memory: 256Mi
          securityContext:
            runAsUser: 1001
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /dev/shm
            name: dshm
          - mountPath: /bitnami/postgresql
            name: data
        dnsPolicy: ClusterFirst
        nodeSelector:
          kubernetes.io/hostname: mbrkanov-mini-it13
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          fsGroup: 1001
        serviceAccount: default
        serviceAccountName: default
        terminationGracePeriodSeconds: 30
        volumes:
        - emptyDir:
            medium: Memory
          name: dshm
        - name: data
          persistentVolumeClaim:
            claimName: zammad-postgresql-data-longhorn
    updateStrategy:
      rollingUpdate:
        partition: 0
      type: RollingUpdate
  status:
    availableReplicas: 1
    collisionCount: 0
    currentReplicas: 1
    currentRevision: zammad-postgresql-65d56898d7
    observedGeneration: 6
    readyReplicas: 1
    replicas: 1
    updateRevision: zammad-postgresql-65d56898d7
    updatedReplicas: 1
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/Service:zammad/zammad-elasticsearch
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/Service:zammad/zammad-elasticsearch"},"labels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"elasticsearch","helm.sh/chart":"elasticsearch-19.10.3"},"name":"zammad-elasticsearch","namespace":"zammad"},"spec":{"ports":[{"name":"tcp-rest-api","nodePort":null,"port":9200,"targetPort":"rest-api"},{"name":"tcp-transport","nodePort":null,"port":9300}],"selector":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"elasticsearch"},"sessionAffinity":"None","type":"ClusterIP"}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    labels:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: elasticsearch
      helm.sh/chart: elasticsearch-19.10.3
    name: zammad-elasticsearch
    namespace: zammad
    resourceVersion: "88012408"
    uid: 17b46b5e-8753-4b2c-95ae-8417ba0ca0ab
  spec:
    clusterIP: 10.43.183.61
    clusterIPs:
    - 10.43.183.61
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: tcp-rest-api
      port: 9200
      protocol: TCP
      targetPort: rest-api
    - name: tcp-transport
      port: 9300
      protocol: TCP
      targetPort: 9300
    selector:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: elasticsearch
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/Service:zammad/zammad-elasticsearch-master-hl
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/Service:zammad/zammad-elasticsearch-master-hl"},"labels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"elasticsearch","helm.sh/chart":"elasticsearch-19.10.3"},"name":"zammad-elasticsearch-master-hl","namespace":"zammad"},"spec":{"clusterIP":"None","ports":[{"name":"tcp-rest-api","port":9200,"targetPort":"rest-api"},{"name":"tcp-transport","port":9300,"targetPort":"transport"}],"publishNotReadyAddresses":true,"selector":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"elasticsearch"},"type":"ClusterIP"}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    labels:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: elasticsearch
      helm.sh/chart: elasticsearch-19.10.3
    name: zammad-elasticsearch-master-hl
    namespace: zammad
    resourceVersion: "88012409"
    uid: 96eb12b9-409e-41b8-85a6-e36b01abe7f7
  spec:
    clusterIP: None
    clusterIPs:
    - None
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: tcp-rest-api
      port: 9200
      protocol: TCP
      targetPort: rest-api
    - name: tcp-transport
      port: 9300
      protocol: TCP
      targetPort: transport
    publishNotReadyAddresses: true
    selector:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: elasticsearch
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/Service:zammad/zammad-redis-headless
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/Service:zammad/zammad-redis-headless"},"labels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"redis","helm.sh/chart":"redis-17.11.7"},"name":"zammad-redis-headless","namespace":"zammad"},"spec":{"clusterIP":"None","ports":[{"name":"tcp-redis","port":6379,"targetPort":"redis"}],"selector":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"redis"},"type":"ClusterIP"}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    labels:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: redis
      helm.sh/chart: redis-17.11.7
    name: zammad-redis-headless
    namespace: zammad
    resourceVersion: "88012410"
    uid: d90de2b9-3eb7-4d7e-88a9-420ed18e8e19
  spec:
    clusterIP: None
    clusterIPs:
    - None
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: tcp-redis
      port: 6379
      protocol: TCP
      targetPort: redis
    selector:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: redis
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/Service:zammad/zammad-redis-master
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/Service:zammad/zammad-redis-master"},"labels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"redis","helm.sh/chart":"redis-17.11.7"},"name":"zammad-redis-master","namespace":"zammad"},"spec":{"internalTrafficPolicy":"Cluster","ports":[{"name":"tcp-redis","nodePort":null,"port":6379,"targetPort":"redis"}],"selector":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"redis"},"sessionAffinity":"None","type":"ClusterIP"}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    labels:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: redis
      helm.sh/chart: redis-17.11.7
    name: zammad-redis-master
    namespace: zammad
    resourceVersion: "88012411"
    uid: fc2c403f-be73-4e25-9226-3d88046088af
  spec:
    clusterIP: 10.43.50.180
    clusterIPs:
    - 10.43.50.180
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: tcp-redis
      port: 6379
      protocol: TCP
      targetPort: redis
    selector:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: redis
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/Service:zammad/zammad
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/Service:zammad/zammad"},"labels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"zammad","app.kubernetes.io/version":"6.2.0-1","helm.sh/chart":"zammad-10.2.1"},"name":"zammad","namespace":"zammad"},"spec":{"ports":[{"name":"http","port":8080,"protocol":"TCP","targetPort":"http"}],"selector":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"zammad"},"type":"LoadBalancer"}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    finalizers:
    - service.kubernetes.io/load-balancer-cleanup
    labels:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: zammad
      app.kubernetes.io/version: 6.2.0-1
      helm.sh/chart: zammad-10.2.1
    name: zammad
    namespace: zammad
    resourceVersion: "88012412"
    uid: 7c5f6f72-4d52-4ef2-b35b-b118485a8a48
  spec:
    allocateLoadBalancerNodePorts: true
    clusterIP: 10.43.105.38
    clusterIPs:
    - 10.43.105.38
    externalTrafficPolicy: Cluster
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: http
      nodePort: 31520
      port: 8080
      protocol: TCP
      targetPort: http
    selector:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: zammad
    sessionAffinity: None
    type: LoadBalancer
  status:
    loadBalancer:
      ingress:
      - ip: 192.168.20.40
      - ip: 192.168.20.45
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/Service:zammad/zammad-postgresql
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/Service:zammad/zammad-postgresql"},"labels":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"postgresql","helm.sh/chart":"postgresql-12.6.4"},"name":"zammad-postgresql","namespace":"zammad"},"spec":{"ports":[{"name":"tcp-postgresql","nodePort":null,"port":5432,"targetPort":"tcp-postgresql"}],"selector":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"postgresql"},"sessionAffinity":"None","type":"ClusterIP"}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    labels:
      app.kubernetes.io/component: primary
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: postgresql
      helm.sh/chart: postgresql-12.6.4
    name: zammad-postgresql
    namespace: zammad
    resourceVersion: "88012413"
    uid: bcfdcbd9-47e6-4225-b7e8-c94049373949
  spec:
    clusterIP: 10.43.58.9
    clusterIPs:
    - 10.43.58.9
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: tcp-postgresql
      port: 5432
      protocol: TCP
      targetPort: tcp-postgresql
    selector:
      app.kubernetes.io/component: primary
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: postgresql
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/Service:zammad/zammad-postgresql-hl
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/Service:zammad/zammad-postgresql-hl"},"labels":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"postgresql","helm.sh/chart":"postgresql-12.6.4","service.alpha.kubernetes.io/tolerate-unready-endpoints":"true"},"name":"zammad-postgresql-hl","namespace":"zammad"},"spec":{"clusterIP":"None","ports":[{"name":"tcp-postgresql","port":5432,"targetPort":"tcp-postgresql"}],"publishNotReadyAddresses":true,"selector":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"postgresql"},"type":"ClusterIP"}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    labels:
      app.kubernetes.io/component: primary
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: postgresql
      helm.sh/chart: postgresql-12.6.4
      service.alpha.kubernetes.io/tolerate-unready-endpoints: "true"
    name: zammad-postgresql-hl
    namespace: zammad
    resourceVersion: "88012414"
    uid: c9b30cfe-80ac-4a19-9e1d-5ffe3d51dade
  spec:
    clusterIP: None
    clusterIPs:
    - None
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: tcp-postgresql
      port: 5432
      protocol: TCP
      targetPort: tcp-postgresql
    publishNotReadyAddresses: true
    selector:
      app.kubernetes.io/component: primary
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: postgresql
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/Service:zammad/zammad-memcached
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/Service:zammad/zammad-memcached"},"labels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/managed-by":"Helm","app.kubernetes.io/name":"memcached","helm.sh/chart":"memcached-6.5.4"},"name":"zammad-memcached","namespace":"zammad"},"spec":{"ports":[{"name":"memcache","nodePort":null,"port":11211,"targetPort":"memcache"}],"selector":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"memcached"},"sessionAffinity":"None","type":"ClusterIP"}}
      meta.helm.sh/release-name: zammad
      meta.helm.sh/release-namespace: zammad
    creationTimestamp: "2023-12-31T09:12:03Z"
    labels:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/managed-by: Helm
      app.kubernetes.io/name: memcached
      helm.sh/chart: memcached-6.5.4
    name: zammad-memcached
    namespace: zammad
    resourceVersion: "88012415"
    uid: ca943486-ee8f-4f5a-93e6-2a0d0b247fc6
  spec:
    clusterIP: 10.43.177.250
    clusterIPs:
    - 10.43.177.250
    internalTrafficPolicy: Cluster
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: memcache
      port: 11211
      protocol: TCP
      targetPort: memcache
    selector:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: memcached
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: rancher.io/local-path
      volume.kubernetes.io/selected-node: mbrkanov-mini-it13
      volume.kubernetes.io/storage-provisioner: rancher.io/local-path
    creationTimestamp: "2023-12-31T09:12:03Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: redis
    name: redis-data-zammad-redis-master-0
    namespace: zammad
    resourceVersion: "59308"
    uid: dd948817-daba-4a09-9cfb-aa4fddb53727
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 8Gi
    storageClassName: local-path
    volumeMode: Filesystem
    volumeName: pvc-dd948817-daba-4a09-9cfb-aa4fddb53727
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 8Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: rancher.io/local-path
      volume.kubernetes.io/selected-node: mbrkanov-mini-it13
      volume.kubernetes.io/storage-provisioner: rancher.io/local-path
    creationTimestamp: "2023-12-31T09:12:03Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: elasticsearch
    name: data-zammad-elasticsearch-master-0
    namespace: zammad
    resourceVersion: "59324"
    uid: 1d5e2c10-3923-4e21-8a2d-3961916ee6a7
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 8Gi
    storageClassName: local-path
    volumeMode: Filesystem
    volumeName: pvc-1d5e2c10-3923-4e21-8a2d-3961916ee6a7
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 8Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: rancher.io/local-path
      volume.kubernetes.io/selected-node: mbrkanov-mini-it13
      volume.kubernetes.io/storage-provisioner: rancher.io/local-path
    creationTimestamp: "2023-12-31T09:12:03Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: zammad
    name: zammad-var-zammad-0
    namespace: zammad
    resourceVersion: "59345"
    uid: 985a014c-7b3c-408d-a2a4-e7ab896d183e
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 5Gi
    storageClassName: local-path
    volumeMode: Filesystem
    volumeName: pvc-985a014c-7b3c-408d-a2a4-e7ab896d183e
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 5Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: rancher.io/local-path
      volume.kubernetes.io/selected-node: mbrkanov-mini-it13
      volume.kubernetes.io/storage-provisioner: rancher.io/local-path
    creationTimestamp: "2023-12-31T09:12:03Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      app.kubernetes.io/component: primary
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: postgresql
    name: data-zammad-postgresql-0
    namespace: zammad
    resourceVersion: "59349"
    uid: 767722e9-ee43-4d3f-881e-5255f9ca7ad1
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 8Gi
    storageClassName: local-path
    volumeMode: Filesystem
    volumeName: pvc-767722e9-ee43-4d3f-881e-5255f9ca7ad1
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 8Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/PersistentVolumeClaim:zammad/zammad-var-longhorn
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"PersistentVolumeClaim","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/PersistentVolumeClaim:zammad/zammad-var-longhorn"},"labels":{"app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"zammad"},"name":"zammad-var-longhorn","namespace":"zammad"},"spec":{"accessModes":["ReadWriteOnce"],"resources":{"requests":{"storage":"5Gi"}},"storageClassName":"longhorn"}}
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: driver.longhorn.io
      volume.kubernetes.io/storage-provisioner: driver.longhorn.io
    creationTimestamp: "2026-06-17T22:18:20Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: zammad
    name: zammad-var-longhorn
    namespace: zammad
    resourceVersion: "88012404"
    uid: ed7727c1-57f6-4ed0-8dc2-3f7854de1339
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 5Gi
    storageClassName: longhorn
    volumeMode: Filesystem
    volumeName: pvc-ed7727c1-57f6-4ed0-8dc2-3f7854de1339
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 5Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/PersistentVolumeClaim:zammad/zammad-postgresql-data-longhorn
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"PersistentVolumeClaim","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/PersistentVolumeClaim:zammad/zammad-postgresql-data-longhorn"},"labels":{"app.kubernetes.io/component":"primary","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"postgresql"},"name":"zammad-postgresql-data-longhorn","namespace":"zammad"},"spec":{"accessModes":["ReadWriteOnce"],"resources":{"requests":{"storage":"8Gi"}},"storageClassName":"longhorn"}}
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: driver.longhorn.io
      volume.kubernetes.io/storage-provisioner: driver.longhorn.io
    creationTimestamp: "2026-06-17T22:18:20Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      app.kubernetes.io/component: primary
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: postgresql
    name: zammad-postgresql-data-longhorn
    namespace: zammad
    resourceVersion: "88012405"
    uid: e8dd7160-96c9-4409-b9b8-0e15e1a2ba5f
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 8Gi
    storageClassName: longhorn
    volumeMode: Filesystem
    volumeName: pvc-e8dd7160-96c9-4409-b9b8-0e15e1a2ba5f
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 8Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/PersistentVolumeClaim:zammad/zammad-elasticsearch-data-longhorn
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"PersistentVolumeClaim","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/PersistentVolumeClaim:zammad/zammad-elasticsearch-data-longhorn"},"labels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"elasticsearch"},"name":"zammad-elasticsearch-data-longhorn","namespace":"zammad"},"spec":{"accessModes":["ReadWriteOnce"],"resources":{"requests":{"storage":"8Gi"}},"storageClassName":"longhorn"}}
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: driver.longhorn.io
      volume.kubernetes.io/storage-provisioner: driver.longhorn.io
    creationTimestamp: "2026-06-17T22:18:20Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: elasticsearch
    name: zammad-elasticsearch-data-longhorn
    namespace: zammad
    resourceVersion: "88012406"
    uid: 34a029bc-ec9c-4ae6-8dfe-3e40905b8ca4
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 8Gi
    storageClassName: longhorn
    volumeMode: Filesystem
    volumeName: pvc-34a029bc-ec9c-4ae6-8dfe-3e40905b8ca4
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 8Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad:/PersistentVolumeClaim:zammad/zammad-redis-data-longhorn
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"PersistentVolumeClaim","metadata":{"annotations":{"argocd.argoproj.io/tracking-id":"pidoka-hf-zammad:/PersistentVolumeClaim:zammad/zammad-redis-data-longhorn"},"labels":{"app.kubernetes.io/component":"master","app.kubernetes.io/instance":"zammad","app.kubernetes.io/name":"redis"},"name":"zammad-redis-data-longhorn","namespace":"zammad"},"spec":{"accessModes":["ReadWriteOnce"],"resources":{"requests":{"storage":"8Gi"}},"storageClassName":"longhorn"}}
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: driver.longhorn.io
      volume.kubernetes.io/storage-provisioner: driver.longhorn.io
    creationTimestamp: "2026-06-17T22:18:20Z"
    finalizers:
    - kubernetes.io/pvc-protection
    labels:
      app.kubernetes.io/component: master
      app.kubernetes.io/instance: zammad
      app.kubernetes.io/name: redis
    name: zammad-redis-data-longhorn
    namespace: zammad
    resourceVersion: "88012407"
    uid: 61d812f1-d3f3-4d63-a194-782128ae536f
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 8Gi
    storageClassName: longhorn
    volumeMode: Filesystem
    volumeName: pvc-61d812f1-d3f3-4d63-a194-782128ae536f
  status:
    accessModes:
    - ReadWriteOnce
    capacity:
      storage: 8Gi
    phase: Bound
- apiVersion: external-secrets.io/v1beta1
  kind: ExternalSecret
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "2"
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad-secrets:external-secrets.io/ExternalSecret:zammad/zammad-postgresql-pass
    creationTimestamp: "2026-06-17T20:33:38Z"
    generation: 1
    name: zammad-postgresql-pass
    namespace: zammad
    resourceVersion: "88088760"
    uid: a5d4126d-c4af-4cf5-80f4-b1138de428dd
  spec:
    data:
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: ZAMMAD_POSTGRESQL_PASS
        metadataPolicy: None
      secretKey: postgresql-pass
    refreshInterval: 1h
    secretStoreRef:
      kind: SecretStore
      name: dmz-infisical
    target:
      creationPolicy: Merge
      deletionPolicy: Retain
      name: zammad-postgresql-pass
  status:
    binding:
      name: zammad-postgresql-pass
    conditions:
    - lastTransitionTime: "2026-06-17T20:33:42Z"
      message: Secret was synced
      reason: SecretSynced
      status: "True"
      type: Ready
    refreshTime: "2026-06-22T15:10:34Z"
    syncedResourceVersion: 1-ce5221f9ce6106e28e3fd9f5f8aab073
- apiVersion: external-secrets.io/v1beta1
  kind: ExternalSecret
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "2"
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad-secrets:external-secrets.io/ExternalSecret:zammad/zammad-postgresql
    creationTimestamp: "2026-06-17T20:33:38Z"
    generation: 1
    name: zammad-postgresql
    namespace: zammad
    resourceVersion: "88088763"
    uid: f89e83b9-7f5b-4314-8bef-af8e86731310
  spec:
    data:
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: POSTGRESQL_PASSWORD
        metadataPolicy: None
      secretKey: password
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: POSTGRESQL_POSTGRES_PASSWORD
        metadataPolicy: None
      secretKey: postgres-password
    refreshInterval: 1h
    secretStoreRef:
      kind: SecretStore
      name: dmz-infisical
    target:
      creationPolicy: Merge
      deletionPolicy: Retain
      name: zammad-postgresql
  status:
    binding:
      name: zammad-postgresql
    conditions:
    - lastTransitionTime: "2026-06-17T20:33:40Z"
      message: Secret was synced
      reason: SecretSynced
      status: "True"
      type: Ready
    refreshTime: "2026-06-22T15:10:35Z"
    syncedResourceVersion: 1-7484f8bb9e9104dd64c43cd99df639a9
- apiVersion: external-secrets.io/v1beta1
  kind: ExternalSecret
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "2"
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad-secrets:external-secrets.io/ExternalSecret:zammad/zammad-redis
    creationTimestamp: "2026-06-17T20:33:38Z"
    generation: 1
    name: zammad-redis
    namespace: zammad
    resourceVersion: "88088765"
    uid: 0d8a7fb8-f8a7-4412-9fd0-8c86914e5cd9
  spec:
    data:
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: REDIS_PASSWORD
        metadataPolicy: None
      secretKey: redis-password
    refreshInterval: 1h
    secretStoreRef:
      kind: SecretStore
      name: dmz-infisical
    target:
      creationPolicy: Merge
      deletionPolicy: Retain
      name: zammad-redis
  status:
    binding:
      name: zammad-redis
    conditions:
    - lastTransitionTime: "2026-06-17T20:33:39Z"
      message: Secret was synced
      reason: SecretSynced
      status: "True"
      type: Ready
    refreshTime: "2026-06-22T15:10:36Z"
    syncedResourceVersion: 1-1f1882ce740045f0b6522ac1667118aa
- apiVersion: external-secrets.io/v1beta1
  kind: ExternalSecret
  metadata:
    annotations:
      argocd.argoproj.io/sync-wave: "2"
      argocd.argoproj.io/tracking-id: pidoka-hf-zammad-secrets:external-secrets.io/ExternalSecret:zammad/zammad-redis-pass
    creationTimestamp: "2026-06-17T20:33:38Z"
    generation: 1
    name: zammad-redis-pass
    namespace: zammad
    resourceVersion: "88088772"
    uid: 8c8c2113-eac0-4b72-8a68-42eedf6707a6
  spec:
    data:
    - remoteRef:
        conversionStrategy: Default
        decodingStrategy: None
        key: ZAMMAD_REDIS_PASS
        metadataPolicy: None
      secretKey: redis-password
    refreshInterval: 1h
    secretStoreRef:
      kind: SecretStore
      name: dmz-infisical
    target:
      creationPolicy: Merge
      deletionPolicy: Retain
      name: zammad-redis-pass
  status:
    binding:
      name: zammad-redis-pass
    conditions:
    - lastTransitionTime: "2026-06-17T20:33:41Z"
      message: Secret was synced
      reason: SecretSynced
      status: "True"
      type: Ready
    refreshTime: "2026-06-22T15:10:39Z"
    syncedResourceVersion: 1-53a54eceed703217cbf94565c33e9254
kind: List
metadata:
  resourceVersion: ""
